summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Wiegley <johnw@newartisans.com>2007-05-08 03:43:51 +0000
committerJohn Wiegley <johnw@newartisans.com>2008-04-13 03:38:41 -0400
commit02c88132cfbd69a65f5f27c0c7efbf459a375283 (patch)
tree7dadfae7fce709a7faf4ca6fd85511fb9a3824ab
parent0c10d1c3fdf4fa17e9880d318ee37c4b45d0daf2 (diff)
downloadfork-ledger-02c88132cfbd69a65f5f27c0c7efbf459a375283.tar.gz
fork-ledger-02c88132cfbd69a65f5f27c0c7efbf459a375283.tar.bz2
fork-ledger-02c88132cfbd69a65f5f27c0c7efbf459a375283.zip
Added --enable-boost-sd for linking about the static/debug variant of Boost.
-rw-r--r--Makefile.am10
-rw-r--r--Makefile.in19
-rwxr-xr-xacprep2
-rwxr-xr-xconfigure250
-rw-r--r--configure.in77
-rw-r--r--src/xml.cc2
6 files changed, 210 insertions, 150 deletions
diff --git a/Makefile.am b/Makefile.am
index 8eb15b8b..36b35c89 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -178,8 +178,12 @@ ledger_so_SOURCES = \
src/py_amount.cc
ledger_so_DEPENDENCIES = libledger.la gdtoa/libgdtoa.la libpyledger.la
-PYLIBS = pyledger ledger gdtoa gmp boost_date_time \
- boost_signals boost_filesystem boost_regex boost_python
+PYLIBS = pyledger ledger gdtoa gmp
+if USE_BOOST_SD
+PYLIBS += boost_date_time-sd boost_filesystem-sd boost_regex-sd boost_python-sd
+else
+PYLIBS += boost_date_time boost_filesystem boost_regex boost_python
+endif
if HAVE_EXPAT
PYLIBS += expat
@@ -234,7 +238,7 @@ PyUnitTests: $(srcdir)/tests/python/PyUnitTests.py
| sed "s/%builddir%/$(ESC_builddir)/g" > $@
chmod 755 $@
-fullcheck: UnitTests
+fullcheck: check
MallocGuardEdges=1 \
MallocScribble=1 \
MallocPreScribble=1 \
diff --git a/Makefile.in b/Makefile.in
index d9ec1f86..9467af5b 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -51,11 +51,13 @@ bin_PROGRAMS = ledger$(EXEEXT)
@HAVE_BOOST_PYTHON_TRUE@am__append_13 = libpyledger.la
@HAVE_BOOST_PYTHON_TRUE@noinst_PROGRAMS = ledger.so$(EXEEXT)
@HAVE_BOOST_PYTHON_TRUE@am__append_14 = ledger.so
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_EXPAT_TRUE@am__append_15 = expat
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_XMLPARSE_TRUE@am__append_16 = xmlparse xmltok
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_LIBOFX_TRUE@am__append_17 = ofx
+@HAVE_BOOST_PYTHON_TRUE@@USE_BOOST_SD_TRUE@am__append_15 = boost_date_time-sd boost_filesystem-sd boost_regex-sd boost_python-sd
+@HAVE_BOOST_PYTHON_TRUE@@USE_BOOST_SD_FALSE@am__append_16 = boost_date_time boost_filesystem boost_regex boost_python
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_EXPAT_TRUE@am__append_17 = expat
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_XMLPARSE_TRUE@am__append_18 = xmlparse xmltok
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_LIBOFX_TRUE@am__append_19 = ofx
TESTS = UnitTests$(EXEEXT) $(am__EXEEXT_1)
-@HAVE_BOOST_PYTHON_TRUE@am__append_18 = PyUnitTests
+@HAVE_BOOST_PYTHON_TRUE@am__append_20 = PyUnitTests
check_PROGRAMS = $(am__EXEEXT_2)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(dist_lisp_LISP) \
@@ -436,10 +438,9 @@ dist_lisp_LISP = lisp/ledger.el lisp/timeclock.el
@HAVE_BOOST_PYTHON_TRUE@ledger_so_DEPENDENCIES = libledger.la gdtoa/libgdtoa.la libpyledger.la
@HAVE_BOOST_PYTHON_TRUE@PYLIBS = pyledger ledger gdtoa gmp \
-@HAVE_BOOST_PYTHON_TRUE@ boost_date_time boost_signals \
-@HAVE_BOOST_PYTHON_TRUE@ boost_filesystem boost_regex \
-@HAVE_BOOST_PYTHON_TRUE@ boost_python $(am__append_15) \
-@HAVE_BOOST_PYTHON_TRUE@ $(am__append_16) $(am__append_17)
+@HAVE_BOOST_PYTHON_TRUE@ $(am__append_15) $(am__append_16) \
+@HAVE_BOOST_PYTHON_TRUE@ $(am__append_17) $(am__append_18) \
+@HAVE_BOOST_PYTHON_TRUE@ $(am__append_19)
nodist_UnitTests_SOURCES = tests/UnitTests.cc \
\
tests/utility/t_utils.cc \
@@ -1858,7 +1859,7 @@ PyUnitTests: $(srcdir)/tests/python/PyUnitTests.py
| sed "s/%builddir%/$(ESC_builddir)/g" > $@
chmod 755 $@
-fullcheck: UnitTests
+fullcheck: check
MallocGuardEdges=1 \
MallocScribble=1 \
MallocPreScribble=1 \
diff --git a/acprep b/acprep
index e2a4f8c0..0928cba5 100755
--- a/acprep
+++ b/acprep
@@ -58,7 +58,7 @@ LDFLAGS="$LIBDIRS"
while [ -n "$1" ]; do
case "$1" in
--debug)
- SWITCHES="$SWITCHES --enable-debug"
+ SWITCHES="$SWITCHES --enable-debug --enable-boost-sd"
#if [ -f /usr/local/lib/libstlportstlg.a ]; then
# SWITCHES="$SWITCHES --enable-stlportg"
# CPPFLAGS="-D_STLP_DEBUG $CPPFLAGS"
diff --git a/configure b/configure
index 4b3eaa30..bb921575 100755
--- a/configure
+++ b/configure
@@ -875,6 +875,12 @@ LIBTOOL
EMACS
EMACSLOADPATH
lispdir
+DEBUG_TRUE
+DEBUG_FALSE
+USE_BOOST_SD_TRUE
+USE_BOOST_SD_FALSE
+USE_PCH_TRUE
+USE_PCH_FALSE
USE_XML_TRUE
USE_XML_FALSE
HAVE_EXPAT_TRUE
@@ -900,10 +906,6 @@ HAVE_BOOST_PYTHON_TRUE
HAVE_BOOST_PYTHON_FALSE
HAVE_CPPUNIT_TRUE
HAVE_CPPUNIT_FALSE
-DEBUG_TRUE
-DEBUG_FALSE
-USE_PCH_TRUE
-USE_PCH_FALSE
LIBOBJS
LTLIBOBJS'
ac_subst_files=''
@@ -1510,11 +1512,12 @@ Optional Features:
--enable-fast-install[=PKGS]
optimize for fast installation [default=yes]
--disable-libtool-lock avoid locking (might break parallel builds)
+ --enable-debug Turn on debugging
+ --enable-boost-sd Use static/debug Boost libraries
+ --enable-pch Use GCC 4.x pre-compiled headers
--enable-xml Turn on support for XML parsing
--enable-ofx Turn on support for OFX/OCF parsing
--enable-python Build the amounts library as a Python module
- --enable-debug Turn on debugging
- --enable-pch Use GCC 4.x pre-compiled headers
Optional Packages:
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
@@ -4853,7 +4856,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4856 "configure"' > conftest.$ac_ext
+ echo '#line 4859 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7112,11 +7115,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7115: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7118: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7119: \$? = $ac_status" >&5
+ echo "$as_me:7122: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7380,11 +7383,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7383: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7386: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7387: \$? = $ac_status" >&5
+ echo "$as_me:7390: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7484,11 +7487,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7487: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7490: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7491: \$? = $ac_status" >&5
+ echo "$as_me:7494: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9792,7 +9795,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9795 "configure"
+#line 9798 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9892,7 +9895,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9895 "configure"
+#line 9898 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12228,11 +12231,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12231: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12234: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12235: \$? = $ac_status" >&5
+ echo "$as_me:12238: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12332,11 +12335,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12335: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12338: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12339: \$? = $ac_status" >&5
+ echo "$as_me:12342: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13902,11 +13905,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13905: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13908: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13909: \$? = $ac_status" >&5
+ echo "$as_me:13912: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14006,11 +14009,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14009: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14012: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14013: \$? = $ac_status" >&5
+ echo "$as_me:14016: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16204,11 +16207,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16207: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16210: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16211: \$? = $ac_status" >&5
+ echo "$as_me:16214: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16472,11 +16475,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16475: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16478: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16479: \$? = $ac_status" >&5
+ echo "$as_me:16482: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16576,11 +16579,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16579: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16582: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16583: \$? = $ac_status" >&5
+ echo "$as_me:16586: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -19345,6 +19348,81 @@ fi
+# Check for options
+# Check whether --enable-debug was given.
+if test "${enable_debug+set}" = set; then
+ enableval=$enable_debug; case "${enableval}" in
+ yes) debug=true ;;
+ no) debug=false ;;
+ *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
+echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+else
+ debug=false
+fi
+
+
+ if test x$debug = xtrue; then
+ DEBUG_TRUE=
+ DEBUG_FALSE='#'
+else
+ DEBUG_TRUE='#'
+ DEBUG_FALSE=
+fi
+
+
+# Check whether --enable-boost-sd was given.
+if test "${enable_boost_sd+set}" = set; then
+ enableval=$enable_boost_sd; case "${enableval}" in
+ yes) boost_sd=true ;;
+ no) boost_sd=false ;;
+ *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-boost-sd" >&5
+echo "$as_me: error: bad value ${enableval} for --enable-boost-sd" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+else
+ boost_sd=false
+fi
+
+
+if test x$boost_sd = xtrue; then
+ BOOST_SUFFIX="-sd"
+else
+ BOOST_SUFFIX=""
+fi
+ if test x$boost_sd = xtrue; then
+ USE_BOOST_SD_TRUE=
+ USE_BOOST_SD_FALSE='#'
+else
+ USE_BOOST_SD_TRUE='#'
+ USE_BOOST_SD_FALSE=
+fi
+
+
+# Check whether --enable-pch was given.
+if test "${enable_pch+set}" = set; then
+ enableval=$enable_pch; case "${enableval}" in
+ yes) pch=true ;;
+ no) pch=false ;;
+ *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-pch" >&5
+echo "$as_me: error: bad value ${enableval} for --enable-pch" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+else
+ pch=false
+fi
+
+
+ if test x$pch = xtrue; then
+ USE_PCH_TRUE=
+ USE_PCH_FALSE='#'
+else
+ USE_PCH_TRUE='#'
+ USE_PCH_FALSE=
+fi
+
+
# check if UNIX pipes are available
{ echo "$as_me:$LINENO: checking if pipes can be used" >&5
echo $ECHO_N "checking if pipes can be used... $ECHO_C" >&6; }
@@ -19448,7 +19526,7 @@ if test "${boost_regex_avail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
boost_regex_save_libs=$LIBS
- LIBS="-lboost_regex $LIBS"
+ LIBS="-lboost_regex$BOOST_SUFFIX $LIBS"
ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -19510,7 +19588,7 @@ fi
echo "${ECHO_T}$boost_regex_avail" >&6; }
if test x$boost_regex_avail = xtrue ; then
- LIBS="-lboost_regex $LIBS"
+ LIBS="-lboost_regex$BOOST_SUFFIX $LIBS"
else
{ { echo "$as_me:$LINENO: error: \"Could not find boost_regex library (set CPPFLAGS and LDFLAGS?)\"
See \`config.log' for more details." >&5
@@ -19526,7 +19604,7 @@ if test "${boost_date_time_cpplib_avail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
boost_date_time_save_libs=$LIBS
- LIBS="-lboost_date_time $LIBS"
+ LIBS="-lboost_date_time$BOOST_SUFFIX $LIBS"
ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -19606,7 +19684,7 @@ fi
echo "${ECHO_T}$boost_date_time_cpplib_avail" >&6; }
if test x$boost_date_time_cpplib_avail = xtrue ; then
- LIBS="-lboost_date_time $LIBS"
+ LIBS="-lboost_date_time$BOOST_SUFFIX $LIBS"
else
{ { echo "$as_me:$LINENO: error: \"Could not find boost_date_time library (set CPPFLAGS and LDFLAGS?)\"
See \`config.log' for more details." >&5
@@ -19622,7 +19700,7 @@ if test "${boost_filesystem_cpplib_avail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
boost_filesystem_save_libs=$LIBS
- LIBS="-lboost_filesystem $LIBS"
+ LIBS="-lboost_filesystem$BOOST_SUFFIX $LIBS"
ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -19684,7 +19762,7 @@ fi
echo "${ECHO_T}$boost_filesystem_cpplib_avail" >&6; }
if test x$boost_filesystem_cpplib_avail = xtrue ; then
- LIBS="-lboost_filesystem $LIBS"
+ LIBS="-lboost_filesystem$BOOST_SUFFIX $LIBS"
else
{ { echo "$as_me:$LINENO: error: \"Could not find boost_filesystem library (set CPPFLAGS and LDFLAGS?)\"
See \`config.log' for more details." >&5
@@ -19698,7 +19776,7 @@ fi
# [if boost_signals is available],
# [boost_signals_cpplib_avail],
# [boost_signals_save_libs=$LIBS
-# LIBS="-lboost_signals $LIBS"
+# LIBS="-lboost_signals$BOOST_SUFFIX $LIBS"
# AC_LANG_PUSH(C++)
# AC_TRY_LINK(
# [#include <boost/signal.hpp>],
@@ -19709,7 +19787,7 @@ fi
# LIBS=$boost_signals_save_libs])
#
#if [test x$boost_signals_cpplib_avail = xtrue ]; then
-# LIBS="-lboost_signals $LIBS"
+# LIBS="-lboost_signals$BOOST_SUFFIX $LIBS"
#else
# AC_MSG_FAILURE("Could not find boost_signals library (set CPPFLAGS and LDFLAGS?)")
#fi
@@ -20374,7 +20452,7 @@ if test "${boost_python_cpplib_avail+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
boost_python_save_libs=$LIBS
- LIBS="-lboost_python -lpython$PYTHON_VERSION $LIBS"
+ LIBS="-lboost_python$BOOST_SUFFIX -lpython$PYTHON_VERSION $LIBS"
ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -20449,7 +20527,7 @@ else
HAVE_BOOST_PYTHON_FALSE=
fi
- LIBS="-lboost_python -lpython$PYTHON_VERSION $LIBS"
+ LIBS="-lboost_python$BOOST_SUFFIX -lpython$PYTHON_VERSION $LIBS"
else
if false; then
HAVE_BOOST_PYTHON_TRUE=
@@ -20577,53 +20655,6 @@ fi
fi
-# Check for options
-# Check whether --enable-debug was given.
-if test "${enable_debug+set}" = set; then
- enableval=$enable_debug; case "${enableval}" in
- yes) debug=true ;;
- no) debug=false ;;
- *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
-echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-else
- debug=false
-fi
-
-
- if test x$debug = xtrue; then
- DEBUG_TRUE=
- DEBUG_FALSE='#'
-else
- DEBUG_TRUE='#'
- DEBUG_FALSE=
-fi
-
-
-# Check whether --enable-pch was given.
-if test "${enable_pch+set}" = set; then
- enableval=$enable_pch; case "${enableval}" in
- yes) pch=true ;;
- no) pch=false ;;
- *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-pch" >&5
-echo "$as_me: error: bad value ${enableval} for --enable-pch" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-else
- pch=false
-fi
-
-
- if test x$pch = xtrue; then
- USE_PCH_TRUE=
- USE_PCH_FALSE='#'
-else
- USE_PCH_TRUE='#'
- USE_PCH_FALSE=
-fi
-
-
# Checks for header files.
{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
@@ -21653,6 +21684,27 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
+if test -z "${DEBUG_TRUE}" && test -z "${DEBUG_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"DEBUG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"DEBUG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+if test -z "${USE_BOOST_SD_TRUE}" && test -z "${USE_BOOST_SD_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"USE_BOOST_SD\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_BOOST_SD\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
+if test -z "${USE_PCH_TRUE}" && test -z "${USE_PCH_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"USE_PCH\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"USE_PCH\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
if test -z "${USE_XML_TRUE}" && test -z "${USE_XML_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"USE_XML\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@@ -21786,20 +21838,6 @@ echo "$as_me: error: conditional \"HAVE_CPPUNIT\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
-if test -z "${DEBUG_TRUE}" && test -z "${DEBUG_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"DEBUG\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"DEBUG\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${USE_PCH_TRUE}" && test -z "${USE_PCH_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"USE_PCH\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"USE_PCH\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
@@ -22478,6 +22516,12 @@ LIBTOOL!$LIBTOOL$ac_delim
EMACS!$EMACS$ac_delim
EMACSLOADPATH!$EMACSLOADPATH$ac_delim
lispdir!$lispdir$ac_delim
+DEBUG_TRUE!$DEBUG_TRUE$ac_delim
+DEBUG_FALSE!$DEBUG_FALSE$ac_delim
+USE_BOOST_SD_TRUE!$USE_BOOST_SD_TRUE$ac_delim
+USE_BOOST_SD_FALSE!$USE_BOOST_SD_FALSE$ac_delim
+USE_PCH_TRUE!$USE_PCH_TRUE$ac_delim
+USE_PCH_FALSE!$USE_PCH_FALSE$ac_delim
USE_XML_TRUE!$USE_XML_TRUE$ac_delim
USE_XML_FALSE!$USE_XML_FALSE$ac_delim
HAVE_EXPAT_TRUE!$HAVE_EXPAT_TRUE$ac_delim
@@ -22503,15 +22547,11 @@ HAVE_BOOST_PYTHON_TRUE!$HAVE_BOOST_PYTHON_TRUE$ac_delim
HAVE_BOOST_PYTHON_FALSE!$HAVE_BOOST_PYTHON_FALSE$ac_delim
HAVE_CPPUNIT_TRUE!$HAVE_CPPUNIT_TRUE$ac_delim
HAVE_CPPUNIT_FALSE!$HAVE_CPPUNIT_FALSE$ac_delim
-DEBUG_TRUE!$DEBUG_TRUE$ac_delim
-DEBUG_FALSE!$DEBUG_FALSE$ac_delim
-USE_PCH_TRUE!$USE_PCH_TRUE$ac_delim
-USE_PCH_FALSE!$USE_PCH_FALSE$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 39; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 41; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.in b/configure.in
index af5da038..cc9e7d8a 100644
--- a/configure.in
+++ b/configure.in
@@ -28,6 +28,42 @@ AM_PROG_LIBTOOL
# Checks for emacs lisp path
AM_PATH_LISPDIR
+# Check for options
+AC_ARG_ENABLE(debug,
+ [ --enable-debug Turn on debugging],
+ [case "${enableval}" in
+ yes) debug=true ;;
+ no) debug=false ;;
+ *) AC_MSG_ERROR(bad value ${enableval} for --enable-debug) ;;
+ esac],[debug=false])
+
+AM_CONDITIONAL(DEBUG, test x$debug = xtrue)
+
+AC_ARG_ENABLE(boost-sd,
+ [ --enable-boost-sd Use static/debug Boost libraries],
+ [case "${enableval}" in
+ yes) boost_sd=true ;;
+ no) boost_sd=false ;;
+ *) AC_MSG_ERROR(bad value ${enableval} for --enable-boost-sd) ;;
+ esac],[boost_sd=false])
+
+if test x$boost_sd = xtrue; then
+ BOOST_SUFFIX="-sd"
+else
+ BOOST_SUFFIX=""
+fi
+AM_CONDITIONAL(USE_BOOST_SD, test x$boost_sd = xtrue)
+
+AC_ARG_ENABLE(pch,
+ [ --enable-pch Use GCC 4.x pre-compiled headers],
+ [case "${enableval}" in
+ yes) pch=true ;;
+ no) pch=false ;;
+ *) AC_MSG_ERROR(bad value ${enableval} for --enable-pch) ;;
+ esac],[pch=false])
+
+AM_CONDITIONAL(USE_PCH, test x$pch = xtrue)
+
# check if UNIX pipes are available
AC_CACHE_CHECK(
[if pipes can be used],
@@ -72,7 +108,7 @@ AC_CACHE_CHECK(
[if boost_regex is available],
[boost_regex_avail],
[boost_regex_save_libs=$LIBS
- LIBS="-lboost_regex $LIBS"
+ LIBS="-lboost_regex$BOOST_SUFFIX $LIBS"
AC_LANG_PUSH(C++)
AC_TRY_LINK(
[#include <boost/regex.hpp>],
@@ -83,7 +119,7 @@ AC_CACHE_CHECK(
LIBS=$boost_regex_save_libs])
if [test x$boost_regex_avail = xtrue ]; then
- LIBS="-lboost_regex $LIBS"
+ LIBS="-lboost_regex$BOOST_SUFFIX $LIBS"
else
AC_MSG_FAILURE("Could not find boost_regex library (set CPPFLAGS and LDFLAGS?)")
fi
@@ -93,7 +129,7 @@ AC_CACHE_CHECK(
[if boost_date_time is available],
[boost_date_time_cpplib_avail],
[boost_date_time_save_libs=$LIBS
- LIBS="-lboost_date_time $LIBS"
+ LIBS="-lboost_date_time$BOOST_SUFFIX $LIBS"
AC_LANG_PUSH(C++)
AC_TRY_LINK(
[#include <boost/date_time/posix_time/posix_time.hpp>
@@ -122,7 +158,7 @@ AC_CACHE_CHECK(
LIBS=$boost_date_time_save_libs])
if [test x$boost_date_time_cpplib_avail = xtrue ]; then
- LIBS="-lboost_date_time $LIBS"
+ LIBS="-lboost_date_time$BOOST_SUFFIX $LIBS"
else
AC_MSG_FAILURE("Could not find boost_date_time library (set CPPFLAGS and LDFLAGS?)")
fi
@@ -132,7 +168,7 @@ AC_CACHE_CHECK(
[if boost_filesystem is available],
[boost_filesystem_cpplib_avail],
[boost_filesystem_save_libs=$LIBS
- LIBS="-lboost_filesystem $LIBS"
+ LIBS="-lboost_filesystem$BOOST_SUFFIX $LIBS"
AC_LANG_PUSH(C++)
AC_TRY_LINK(
[#include <boost/filesystem/path.hpp>],
@@ -143,7 +179,7 @@ AC_CACHE_CHECK(
LIBS=$boost_filesystem_save_libs])
if [test x$boost_filesystem_cpplib_avail = xtrue ]; then
- LIBS="-lboost_filesystem $LIBS"
+ LIBS="-lboost_filesystem$BOOST_SUFFIX $LIBS"
else
AC_MSG_FAILURE("Could not find boost_filesystem library (set CPPFLAGS and LDFLAGS?)")
fi
@@ -153,7 +189,7 @@ fi
# [if boost_signals is available],
# [boost_signals_cpplib_avail],
# [boost_signals_save_libs=$LIBS
-# LIBS="-lboost_signals $LIBS"
+# LIBS="-lboost_signals$BOOST_SUFFIX $LIBS"
# AC_LANG_PUSH(C++)
# AC_TRY_LINK(
# [#include <boost/signal.hpp>],
@@ -164,7 +200,7 @@ fi
# LIBS=$boost_signals_save_libs])
#
#if [test x$boost_signals_cpplib_avail = xtrue ]; then
-# LIBS="-lboost_signals $LIBS"
+# LIBS="-lboost_signals$BOOST_SUFFIX $LIBS"
#else
# AC_MSG_FAILURE("Could not find boost_signals library (set CPPFLAGS and LDFLAGS?)")
#fi
@@ -319,7 +355,7 @@ if [test x$python = xtrue ]; then
[if boost_python is available],
[boost_python_cpplib_avail],
[boost_python_save_libs=$LIBS
- LIBS="-lboost_python -lpython$PYTHON_VERSION $LIBS"
+ LIBS="-lboost_python$BOOST_SUFFIX -lpython$PYTHON_VERSION $LIBS"
AC_LANG_PUSH(C++)
AC_TRY_LINK(
[#include <boost/python.hpp>
@@ -336,7 +372,7 @@ if [test x$python = xtrue ]; then
if [test x$boost_python_cpplib_avail = xtrue ]; then
AM_CONDITIONAL(HAVE_BOOST_PYTHON, true)
- LIBS="-lboost_python -lpython$PYTHON_VERSION $LIBS"
+ LIBS="-lboost_python$BOOST_SUFFIX -lpython$PYTHON_VERSION $LIBS"
else
AM_CONDITIONAL(HAVE_BOOST_PYTHON, false)
fi
@@ -376,27 +412,6 @@ else
AM_CONDITIONAL(HAVE_CPPUNIT, false)
fi
-# Check for options
-AC_ARG_ENABLE(debug,
- [ --enable-debug Turn on debugging],
- [case "${enableval}" in
- yes) debug=true ;;
- no) debug=false ;;
- *) AC_MSG_ERROR(bad value ${enableval} for --enable-debug) ;;
- esac],[debug=false])
-
-AM_CONDITIONAL(DEBUG, test x$debug = xtrue)
-
-AC_ARG_ENABLE(pch,
- [ --enable-pch Use GCC 4.x pre-compiled headers],
- [case "${enableval}" in
- yes) pch=true ;;
- no) pch=false ;;
- *) AC_MSG_ERROR(bad value ${enableval} for --enable-pch) ;;
- esac],[pch=false])
-
-AM_CONDITIONAL(USE_PCH, test x$pch = xtrue)
-
# Checks for header files.
AC_STDC_HEADERS
AC_HAVE_HEADERS(sys/stat.h langinfo.h)
diff --git a/src/xml.cc b/src/xml.cc
index fbc40560..2b84cb52 100644
--- a/src/xml.cc
+++ b/src/xml.cc
@@ -151,7 +151,7 @@ void document_t::print(std::ostream& out) const
}
#ifndef THREADSAFE
-document_t * node_t::document;
+document_t * node_t::document = NULL;
#endif
node_t::node_t(document_t * _document, parent_node_t * _parent, flags_t _flags)